%global apiver 1.6
%define version_no_minor %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           atkmm
Version:        2.24.2
Release:        8
Summary:        C++ bindings for the ATK library
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/atkmm/%{version_no_minor}/atkmm-%{version}.tar.xz

BuildRequires:  gcc-c++ atk-devel glibmm24-devel >= 2.46.1
Requires:       glibmm24%{?_isa} >= 2.46.1

%description
atkmm is the C++ binding for the ATK library.
This module is part of the GNOME C++ bindings effort <http://www.gtkmm.org/>.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        help
Summary:        Developer's documentation for the atkmm library
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm24-doc

%description    help
This package provides the documentation files for the ATK library's C++ bindings.


%prep
%autosetup -p1


%build
%configure --disable-static
%make_build


%install
%make_install
%delete_la
%ldconfig_scriptlets


%files
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/atkmm-%{apiver}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/atkmm-%{apiver}/

%files help
%doc AUTHORS NEWS README
%doc %{_docdir}/atkmm-%{apiver}/
%doc %{_datadir}/devhelp/


%changelog
* Tue Nov 19 2019 mengxian <mengxian@huawei.com> - 2.24.2-8
- Package init
